summaryrefslogtreecommitdiff
path: root/librerelease
diff options
context:
space:
mode:
authorJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-06-27 16:41:39 -0500
committerJoshua Ismael Haase Hernández <hahj87@gmail.com>2011-06-27 16:41:39 -0500
commiteb5cbeea0dc649d18ea4d6330c0787fc5a962b52 (patch)
tree1e18c56ee5a2f407e99095050692402bd5cb5c0f /librerelease
parenteba54d82f4e932ff2c3bf09fcc695085dc83bf19 (diff)
fixes and tabs -> spaces
Diffstat (limited to 'librerelease')
-rwxr-xr-xlibrerelease110
1 files changed, 55 insertions, 55 deletions
diff --git a/librerelease b/librerelease
index 4e7c491..ed221c8 100755
--- a/librerelease
+++ b/librerelease
@@ -1,4 +1,4 @@
-#!/bin/bash
+ #!/bin/bash
# Librerelease
# Uploads packages into [staging]
@@ -21,67 +21,67 @@
# You should have received a copy of the GNU General Public License
# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
-source /etc/libretools.conf
-custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
+ source /etc/libretools.conf
+ custom_config=$XDG_CONFIG_HOME/libretools/libretools.conf
-function usage {
- echo "$(gettext "Usage: $0")"
- echo
- echo "$(gettext "This script uploads packages on $WORKDIR/stagging")"
- echo "$(gettext "to parabola server.")"
- echo
- echo "$(gettext "OPTIONS:")"
- echo "$(gettext " -h this message.")"
- echo "$(gettext " -l only list packages but not upload them.")"
- echo "$(gettext " -c clean packages on $WORKDIR/staging.")"
-}
+ function usage {
+ echo "$(gettext "Usage: $0")"
+ echo
+ echo "$(gettext "This script uploads packages on $WORKDIR/stagging")"
+ echo "$(gettext "to parabola server.")"
+ echo
+ echo "$(gettext "OPTIONS:")"
+ echo "$(gettext " -h this message.")"
+ echo "$(gettext " -l only list packages but not upload them.")"
+ echo "$(gettext " -c clean packages on $WORKDIR/staging.")"
+ }
-function list_packages {
- repos=($(find "$WORKDIR/staging/" -mindepth 1 -type d \! -empty -printf '%f ' 2>/dev/null))
- for _repo in ${repos[@]}; do
- msg2 "$_repo"
- find ${WORKDIR}/staging/${_repo} -type f -printf "%f\n"
- done
- unset repos
-}
+ function list_packages {
+ repos=($(find "$WORKDIR/staging/" -mindepth 1 -type d \! -empty -printf '%f ' 2>/dev/null))
+ for _repo in ${repos[@]}; do
+ msg2 "$_repo"
+ find ${WORKDIR}/staging/${_repo} -type f -printf "%f\n"
+ done
+ unset repos
+ }
-function clean_non_packages {
- find $WORKDIR/staging/ -type f \! -iname "*.pkg.tar.?z" -delete
-}
+ function clean_non_packages {
+ find $WORKDIR/staging/ -type f \! -iname "*.pkg.tar.?z" -delete
+ }
-function clean_packages {
- find ${WORKDIR}/staging/ -iname "*.pkg.tar.?z" -delete
-}
+ function clean_packages {
+ find ${WORKDIR}/staging/ -iname "*.pkg.tar.?z" -delete
+ }
-while getopts 'hlc' arg; do
- case $arg in
- h) usage; exit 0 ;;
- l) list_packages; exit 0 ;;
- c) clean_packages; exit $? ;;
- esac
-done
+ while getopts 'hlc' arg; do
+ case $arg in
+ h) usage; exit 0 ;;
+ l) list_packages; exit 0 ;;
+ c) clean_packages; exit $? ;;
+ esac
+ done
-[[ -e $custom_config ]] && source $custom_config
+ [[ -e $custom_config ]] && source $custom_config
-[[ ! -z ${HOOKPRERELEASE} ]] && bash -c "${HOOKPRERELEASE}"
+ [[ ! -z ${HOOKPRERELEASE} ]] && bash -c "${HOOKPRERELEASE}"
-clean_non_packages
-msg "Uploading packages..."
-rsync --recursive \
- --copy-links \
- --hard-links \
- --partial \
- --prune-empty-dirs \
- --human-readable \
- --progress \
- -e "ssh " \
- ${WORKDIR}/staging \
- ${PARABOLAHOST}:${LIBREDESTDIR}/ || {
- error "Sync failed, try again"
- exit 1
-}
+ clean_non_packages
+ msg "Uploading packages..."
+ rsync --recursive \
+ --copy-links \
+ --hard-links \
+ --partial \
+ --prune-empty-dirs \
+ --human-readable \
+ --progress \
+ -e "ssh " \
+ ${WORKDIR}/staging \
+ ${PARABOLAHOST}:${LIBREDESTDIR}/ || {
+ error "Sync failed, try again"
+ exit 1
+ }
-msg "Removing packages from local [staging]"
-clean_packages
+ msg "Removing packages from local [staging]"
+ clean_packages
-exit 0
+ exit 0